Bug 1288506 - bash-completion git missing options/commands
bash-completion git missing options/commands
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: git (Show other bugs)
7.2
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: pstodulk
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 07:51 EST by Matthias Summer
Modified: 2017-12-01 21:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Summer 2015-12-04 07:51:04 EST
Description of problem:
In the bash-completion are missing some options and commands for git (eg. merge-base). 

[matthias@adzh-srlp-jmp02 ~]$ git merge (TAB)
merge       mergetool   

Version-Release number of selected component (if applicable):
bash-completion-2.1-6.el7.noarch
git-1.8.3.1-5.el7.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. git merge
2. Press tab
3. only merge mergetool is shown, merge-base not

Actual results:
See steps to Reproduce

Expected results:
Every git command should be shown, when useing bash-completion
Comment 2 Siteshwar Vashisht 2016-05-20 06:41:16 EDT
git completions are provided by git package. Re-assigning to git component.
Comment 3 pstodulk 2016-05-23 06:56:39 EDT
That's true.

Note You need to log in before you can comment on or make changes to this bug.